DynamicJava Javadoc: Class ArrayAllocation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ArrayAllocation

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Allocation
                              |
                              +--koala.dynamicjava.tree.ArrayAllocation

public class ArrayAllocation
extends Allocation

This class represents the array allocation nodes of the syntax tree

Inner Class Summary
`static class` | `ArrayAllocation.TypeDescriptor` This class contains informations about the array to create

Fields inherited from class koala.dynamicjava.tree.Allocation
`CREATION_TYPE`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`ArrayAllocation(Type tp, ArrayAllocation.TypeDescriptor td)` Initializes the expression
`ArrayAllocation(Type tp, ArrayAllocation.TypeDescriptor td, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`int` | `getDimension()` Returns the dimension of the array
`ArrayInitializer` | `getInitialization()` Returns the initialization expression
`java.util.List` | `getSizes()` Returns the size expressions

Methods inherited from class koala.dynamicjava.tree.Allocation
`getCreationType, setCreationType`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayAllocation

    public ArrayAllocation(Type tp,
                           ArrayAllocation.TypeDescriptor td)

  Initializes the expression
  Parameters:
    `tp` - the type prefix
    `td` - the type descriptor
  Throws:
    `java.lang.IllegalArgumentException` - if tp is null or td is null

### ArrayAllocation

    public ArrayAllocation(Type tp,
                           ArrayAllocation.TypeDescriptor td,
                           java.lang.String fn,
                           int bl,
                           int bc,
                           int el,
                           int ec)

  Initializes the expression
  Parameters:
    `tp` - the type prefix
    `td` - the type descriptor
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if tp is null or td is null

Method Detail

### getDimension

    public int getDimension()

  Returns the dimension of the array

### getSizes

    public java.util.List getSizes()

  Returns the size expressions

### getInitialization

    public ArrayInitializer getInitialization()

  Returns the initialization expression

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.